Subject: Re: [PATCH] alternative to sys_indirect, part 1

From: Ulrich Drepper <[email-masked]>
Date: Thu, 24 Apr 2008 10:31:29 -0700

H. Peter Anvin wrote:
> sys_indirect is a total red herring here, since it won't help one iota
> making the userspace interface comprehensible - it just introduces a
> different calling convention that the C library will have to thunk.

Nobody ever suggested that sys_indirect is in any way visible at the
userlevel.  It's only meant to solve the problem of changing many
syscalls (and hence touch lots of arch-specific code).  Again, as said
several times, it could easily be used to fix the existing signalfd and
eventfd syscalls without any arch-specific changes and no userlevel
interface changes (the latter since we already have the correct interface).

Yes, you don't like sys_indirect, we know it.  But don't deliberately
misrepresent the approach.

- --
➧ Ulrich Drepper ➧ Red Hat, Inc. ➧ 444 Castro St ➧ Mountain View, CA ❖